Skip to content

Site⁠

Perform various operations on site records.

Operations⁠

searchSiteCashOrderTypePagedSelectFields⁠

POST
Authorizations
Authorizationstringrequired

Authenticate with your JWT.

Bearer YOUR_TOKEN

For setup help, see the authentication guide.

AccountNumberstringoptional
SiteLocatorintegeroptional
Path Parameters
symstringrequired
Sym number
Tokenstringoptional
POST/nexum/{sym}/persistent/account/searchSiteCashOrderTypePagedSelectFields
POST /nexum/627/persistent/account/searchSiteCashOrderTypePagedSelectFields HTTP/1.1
Host: naas.ymcu.libum.io
Accept: application/json
Authorization: Bearer YOUR_JWT
Content-Type: application/json

{
  "Credentials": {
    "AdministrativeCredentials": {
      "Password": "suwn37834b91&"
    }
  },
  "AccountNumber": "string",
  "SiteLocator": 0,
  "PagingRequestContext": {
    "NumberOfRecordsToReturn": 0,
    "NumberOfRecordsToSkip": 0,
    "Token": "string"
  },
  "SelectableFields": {
    "IncludeAllSiteCashOrderTypeFields": true,
    "SiteCashOrderTypeFields": {
      "ActiveFlag": true,
      "ApplyHandlingFee": true,
      "CashOrderTypeCoinBag": [
        0
      ],
      "CashOrderTypeCoinRoll": [
        0
      ],
      "CashOrderTypeComment": [
        0
      ],
      "CashOrderTypeCurrFit": [
        0
      ],
      "CashOrderTypeCurrNew": [
        0
      ],
      "CashOrderTypeDelCharge": true,
      "CashOrderTypeMaxOrder": true,
      "CashOrderTypeMinOrder": true,
      "CashOrderTypeName": true,
      "CashOrderTypeSpecDelCharge": true,
      "CloseDate": true,
      "DelFrequency": true,
      "DeliveryDays": [
        0
      ],
      "LocationCode": true,
      "Locator": true,
      "OrderLimiting": true,
      "RecordChangeDate": true,
      "SpecHandlingFee": true
    }
  },
  "SearchFilter": {
    "Query": "string"
  },
  "nxAttributes": {
    "customFields": {}
  }
}

updateSiteByID⁠

POST
Authorizations
Authorizationstringrequired

Authenticate with your JWT.

Bearer YOUR_TOKEN

For setup help, see the authentication guide.

AccountNumberstringoptional
SiteLocatorintegeroptional
Path Parameters
symstringrequired
Sym number
POST/nexum/{sym}/persistent/account/updateSiteByID
POST /nexum/627/persistent/account/updateSiteByID HTTP/1.1
Host: naas.ymcu.libum.io
Accept: application/json
Authorization: Bearer YOUR_JWT
Content-Type: application/json

{
  "Credentials": {
    "AdministrativeCredentials": {
      "Password": "suwn37834b91&"
    }
  },
  "AccountNumber": "0000000000",
  "SiteLocator": 0,
  "SiteFields": {
    "SiteName": "string",
    "Street": "string",
    "City": "string",
    "State": "string",
    "ZipCode": "0"
  },
  "nxAttributes": {
    "customFields": {
      "appId": "string"
    }
  }
}

updateSiteCashOrderTypeByID⁠

POST
Authorizations
Authorizationstringrequired

Authenticate with your JWT.

Bearer YOUR_TOKEN

For setup help, see the authentication guide.

AccountNumberstringoptional
SiteLocatorintegeroptional
SiteCashOrderTypeLocatorintegeroptional
Path Parameters
symstringrequired
Sym number
POST/nexum/{sym}/persistent/account/updateSiteCashOrderTypeByID
POST /nexum/627/persistent/account/updateSiteCashOrderTypeByID HTTP/1.1
Host: naas.ymcu.libum.io
Accept: application/json
Authorization: Bearer YOUR_JWT
Content-Type: application/json

{
  "Credentials": {
    "AdministrativeCredentials": {
      "Password": "suwn37834b91&"
    }
  },
  "AccountNumber": "0000000000",
  "SiteLocator": 0,
  "SiteCashOrderTypeLocator": 0,
  "SiteCashOrderTypeFields": {},
  "nxAttributes": {
    "customFields": {
      "appId": "string"
    }
  }
}

createSite⁠

POST
Authorizations
Authorizationstringrequired

Authenticate with your JWT.

Bearer YOUR_TOKEN

For setup help, see the authentication guide.

AccountNumberstringoptional
Path Parameters
symstringrequired
Sym number
POST/nexum/{sym}/persistent/account/createSite
POST /nexum/627/persistent/account/createSite HTTP/1.1
Host: naas.ymcu.libum.io
Accept: application/json
Authorization: Bearer YOUR_JWT
Content-Type: application/json

{
  "Credentials": {
    "AdministrativeCredentials": {
      "Password": "suwn37834b91&"
    }
  },
  "AccountNumber": "0000000000",
  "SiteFields": {
    "SiteId": "string",
    "SiteName": "string",
    "SiteNumber": 0,
    "Street": "string",
    "City": "string",
    "State": "string",
    "ZipCode": "0"
  },
  "nxAttributes": {
    "customFields": {
      "appId": "string"
    }
  }
}

createSiteCashOrderType⁠

POST
Authorizations
Authorizationstringrequired

Authenticate with your JWT.

Bearer YOUR_TOKEN

For setup help, see the authentication guide.

AccountNumberstringoptional
SiteLocatorintegeroptional
Path Parameters
symstringrequired
Sym number
SiteCashOrderTypeLocatorintegeroptional
POST/nexum/{sym}/persistent/account/createSiteCashOrderType
POST /nexum/627/persistent/account/createSiteCashOrderType HTTP/1.1
Host: naas.ymcu.libum.io
Accept: application/json
Authorization: Bearer YOUR_JWT
Content-Type: application/json

{
  "Credentials": {
    "AdministrativeCredentials": {
      "Password": "suwn37834b91&"
    }
  },
  "AccountNumber": "0000000000",
  "SiteLocator": 0,
  "SiteCashOrderTypeFields": {},
  "nxAttributes": {
    "customFields": {
      "appId": "string"
    }
  }
}